com.pixelmed.network

## Class NetworkDefaultValues

- java.lang.Object
- - com.pixelmed.network.NetworkDefaultValues

-     public class NetworkDefaultValues
      extends java.lang.Object

  This class defines a number of useful defaults and constants and utilities to generate defaults.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `commonPortNumbers`
    `static int` | `DefaultWADOPort`
    `static int` | `StandardDicomPrivilegedPortNumber`
    `static int` | `StandardDicomReservedPortNumber`
    `static int` | `VendorConquestCommonDicomPortNumber`
    `static int` | `VendorGECommonDicomPortNumber`
    `static int` | `VendorKPACSCommonDicomPortNumber`
    `static int` | `VendorOsirixCommonDicomPortNumber`
    `static int` | `VendorPhilipsCommonDicomPortNumber`
    `static int` | `VendorSiemensCommonDicomPortNumber`
    `static int` | `VendorTianniCommonDicomPortNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkDefaultValues()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getDefaultApplicationEntityTitle(int port)`
    `static java.lang.String` | `getDefaultDNSServiceInstanceName(int port)`
    `static java.lang.String` | `getDefaultPrimaryDeviceType()`
    `static java.lang.String` | `getUnqualifiedLocalHostName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### StandardDicomPrivilegedPortNumber

          public static final int StandardDicomPrivilegedPortNumber

      See Also:
        Constant Field Values

    - #### StandardDicomReservedPortNumber

          public static final int StandardDicomReservedPortNumber

      See Also:
        Constant Field Values

    - #### VendorGECommonDicomPortNumber

          public static final int VendorGECommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### VendorSiemensCommonDicomPortNumber

          public static final int VendorSiemensCommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### VendorPhilipsCommonDicomPortNumber

          public static final int VendorPhilipsCommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### VendorOsirixCommonDicomPortNumber

          public static final int VendorOsirixCommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### VendorConquestCommonDicomPortNumber

          public static final int VendorConquestCommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### VendorTianniCommonDicomPortNumber

          public static final int VendorTianniCommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### VendorKPACSCommonDicomPortNumber

          public static final int VendorKPACSCommonDicomPortNumber

      See Also:
        Constant Field Values

    - #### commonPortNumbers

          public static int[] commonPortNumbers

    - #### DefaultWADOPort

          public static final int DefaultWADOPort

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NetworkDefaultValues

          public NetworkDefaultValues()

  - ### Method Detail

    - #### getDefaultPrimaryDeviceType

          public static final java.lang.String getDefaultPrimaryDeviceType()

    - #### getDefaultApplicationEntityTitle

          public static final java.lang.String getDefaultApplicationEntityTitle(int port)

    - #### getDefaultDNSServiceInstanceName

          public static final java.lang.String getDefaultDNSServiceInstanceName(int port)

    - #### getUnqualifiedLocalHostName

          public static final java.lang.String getUnqualifiedLocalHostName()